org.yaml.snakeyaml.introspector

## Class PropertySubstitute

- java.lang.Object
- - org.yaml.snakeyaml.introspector.Property
  - - org.yaml.snakeyaml.introspector.PropertySubstitute

All Implemented Interfaces:
  Comparable<Property>

    public class PropertySubstitute
    extends Property

### Field Summary

Fields
`protected Class<?>[]` `parameters`
`protected Class<?>` `targetType`

### Constructor Summary

Constructors
Constructor and Description
`PropertySubstitute(String name, Class<?> type, Class<?>... params)`
`PropertySubstitute(String name, Class<?> type, String readMethod, String writeMethod, Class<?>... params)`

### Method Summary

Methods
`Object` `get(Object object)`
`Class<?>[]` `getActualTypeArguments()`
`<A extends Annotation> A` `getAnnotation(Class<A> annotationType)` Returns property's annotation for the given type or `null` if it's not present.
`List<Annotation>` `getAnnotations()` Returns the annotations that are present on this property or empty `List` if there're no annotations.
`String` `getName()`
`Class<?>` `getType()`
`boolean` `isReadable()`
`boolean` `isWritable()`
`void` `set(Object object, Object value)`
`void` `setActualTypeArguments(Class<?>... args)`
`void` `setDelegate(Property delegate)`
`void` `setTargetType(Class<?> targetType)`

### Methods inherited from class org.yaml.snakeyaml.introspector.Property

`compareTo, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### targetType

    protected Class<?> targetType

#### parameters

    protected Class<?>[] parameters

### Constructor Detail

#### PropertySubstitute

    public PropertySubstitute(String name,
                      Class<?> type,
                      String readMethod,
                      String writeMethod,
                      Class<?>... params)

#### PropertySubstitute

    public PropertySubstitute(String name,
                      Class<?> type,
                      Class<?>... params)

### Method Detail

#### getActualTypeArguments

    public Class<?>[] getActualTypeArguments()

Specified by:
  `getActualTypeArguments` in class `Property`

#### setActualTypeArguments

    public void setActualTypeArguments(Class<?>... args)

#### set

    public void set(Object object,
           Object value)
             throws Exception

Specified by:
  `set` in class `Property`
Throws:
  `Exception`

#### get

    public Object get(Object object)

Specified by:
  `get` in class `Property`

#### getAnnotations

    public List<Annotation> getAnnotations()

Description copied from class: `Property`
Returns the annotations that are present on this property or empty `List` if there're no annotations.

Specified by:
  `getAnnotations` in class `Property`
Returns:
  the annotations that are present on this property or empty `List` if there're no annotations

#### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> annotationType)

Description copied from class: `Property`
Returns property's annotation for the given type or `null` if it's not present.

Specified by:
  `getAnnotation` in class `Property`
Type Parameters:
  `A` - class of the annotation
Parameters:
  `annotationType` - the type of the annotation to be returned
Returns:
  property's annotation for the given type or `null` if it's not present

#### setTargetType

    public void setTargetType(Class<?> targetType)

#### getName

    public String getName()

Overrides:
  `getName` in class `Property`

#### getType

    public Class<?> getType()

Overrides:
  `getType` in class `Property`

#### isReadable

    public boolean isReadable()

Overrides:
  `isReadable` in class `Property`

#### isWritable

    public boolean isWritable()

Overrides:
  `isWritable` in class `Property`

#### setDelegate

    public void setDelegate(Property delegate)